[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 112: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 112: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4756: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3891)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4758: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3891)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4759: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3891)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4760: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3891)
Kerkythea Rendering System • View topic - Help! Can't install libraries!
Page 1 of 1

Help! Can't install libraries!

PostPosted: Thu Jul 06, 2017 8:31 pm
by rjhuber
I had to do a complete re-install of Windows on my comp and as such had to re-install all programs I had installed.

Since I've re-installed Kerythea I can not install any of the libraries I've downloaded from the Kerkythea web site as I've done several times before.

I've tried using Files > Install and get a message about can not extract library type!
Library_Installation.JPG

I've tried using Settings > Materials > Open > Import and get a message about library already exists!
If it exists where is it located and why doesn't show up in Kerkythea?
Error.JPG

I've tried several library files (*.mat.zip) both ways and in every instance I get the same messages. This is directly after downloading them from the Kerkythea web site.

I also do not have any of the pre-set render settings. I've been using K for a few years now and have not had any of these issues.

Things I've tried:
- Run K as adim
- Signed in as adim and ran K
- Gave myself full rights and ownership of all folders/files in both

C:\Program Files\Kerkythea Rendering System
AND
C:\ProgramData\Kerkythea

Nothing I've tried has worked. So, any insight into this would be very much appreciated .

Re: Help! Can't install libraries!

PostPosted: Fri Jul 07, 2017 6:19 am
by TipsyDog
In the material name delete "(1)" after ".mat", it prevents to recognize the extension. For pre-sets: paste dir. "RenderSettings" from "C:\Program Files\Kerkythea Rendering System" to "C:\ProgramData\Kerkythea" (Or vice versa, I do not remember exactly)

Re: Help! Can't install libraries!

PostPosted: Fri Jul 07, 2017 6:21 am
by TipsyDog
And read the FAQ, there all your problems are described

Re: Help! Can't install libraries!

PostPosted: Fri Jul 07, 2017 2:38 pm
by rjhuber
Yeah, the (1) after mat doesn't matter.
Library_Installation.JPG
Library_Installation.JPG (17.83 KiB) Viewed 18301 times

Re: Help! Can't install libraries!

PostPosted: Sat Jul 08, 2017 9:33 pm
by Fletch

Re: Help! Can't install libraries!

PostPosted: Sun Aug 12, 2018 1:11 am
by mgfranz
I am having the same issue! Quite frustrating... I have uninstalled and reinstalled KT, ensured my permissions are set correctly for the User account and even tried manually creating the Materials folder and unzipping the .mat to a properly named folder, all to no avail. I cannot see any materials, I cannot install any materials. This is a brand new system, a Dell G3 running Win 10 with a Nvidia GeForce 1050 ti. Something in KT is not right! I have never ran into this problem before with my other systems.

Also, what Program Files folder is KT suppose to be installed in? I run 64 bit OS and KT wants to install in the ProgramFiles folder, not the (86) folder, will that make a difference? I did not have a MaterialEditor folder after installing KT, I had to create it as well as the Libraries folder. Creating a folder called Basic Glasses and then unzipping and inserting the files into that folder, the materials still do not show up in KT.

Re: Help! Can't install libraries!

PostPosted: Fri Aug 17, 2018 2:01 am
by rocso
A little positive feedback might ease some of the ](*,) frustation being felt hopefully.

I had the same problem as the OP and my dogs were getting worried at the :evil: noises coming from the study.

The problem was fixed eventually following the advice here:

Kerkythia version 3.0.1 (2018)
Windows Vista 32 bit (yes, it's old)

1) Install kerkythia

2) Create the folder "C:\Program Files\Kerkythea Rendering System\MaterialEditor\Libraries"

3) Set the user permissions to Full Access on the install folder C:\Program Files\Kerkythea Rendering System

4) Check that the permissions got applies recursively to the whole tree.

To confirm it worked I started Kerkythia and went to the Settings->Materials dialog, copied some materials from the left pane to the library pane and saved to a new library name. I then closed the program down and restarted it. I found the new library in the Library Selection pane of the GUI and opened it to see my materials displayed.

I was also able to install a downloaded library as per the documentation.

Re: Help! Can't install libraries!

PostPosted: Tue Aug 28, 2018 8:14 pm
by mgfranz